'use strict';

// [[module ListPages range="." limit="1"]]
//     [[iframe http://scpnet.org/interwiki/scp-ru/?lang=ru&page=%%name%%]]
// [[/module]]

const {getWikiListByPageName} = require('./registry');
const {generatePage} = require('./template');

module.exports = ({wiki, page, lang}) => {
    const preparedPage = page.replace('start', 'main');

    const list = getWikiListByPageName(preparedPage).filter((pageWiki) => pageWiki !== wiki);
    if (!list || !list.length) {
        return '';
    }

    return generatePage({list, lang, page: preparedPage});
};
